Subject: Re: Does the Netxen driver work?

From: Dhananjay Phadke <[email-masked]>
Date: Tue, 10 Jul 2007 10:03:02 +0530

The MSI error wasn't fatal, so it was suppressed in recent fixes for
2.6.22-rc7. The driver in 2.6.21 had many bugs, but I ain't sure if
recent fixes are going to be pulled in Fedora kernel.

-Dhananjay

Ben Greear wrote:
> Hello!
> 
> I just got some Netxen 10Gbe CX4 adapters and put them into freshly
> updated Fedora 7 64-bit systems.  So far, I am not having much luck.
> 
> Kernel is:  Official F7  2.6.21-1.3228.fc7
> 
> NIC:
> 01:00.0 Ethernet controller: NetXen Incorporated NXB-10GCX4 10 Gigabit
> Ethernet PCIe Adapter with CX4 copper interface (rev 25)
> 
> The motherboard chipset is Intel based (I can provide more info is someone
> cares..but I first wanted to make sure there are no well-known issues.)
> 
> Interesting boot messages:
> 
> Jul  5 16:15:17 a440-dc kernel: ACPI: PCI Interrupt 0000:01:00.0[A] ->
> GSI 16 (level, low) -> IRQ 16
> Jul  5 16:15:17 a440-dc kernel: netxen-nic: unable to allocate MSI
> interrupt error
> Jul  5 16:15:17 a440-dc kernel: netxen-nic: XGbE board initialized
> 
> Is that MSI error fatal?
> 
> The two NICs are connected by a CX4 cable, and from dmesg output, it
> appears
> they have negotiated link properly.
> 
> However, I see tx counters incrementing on both sides, but no rx counters.
> 
> I will try the latest 22-pre kernel in the meantime, but if anyone has
> any experience getting these NICs to work, I'm interested to know about it.
> 
> Thanks,
> Ben
>